#include <iostream>

using namespace std;

int main()
{
    int N;
    int O, A, B, AB;
    int No, Na, Nb, Nab;
    cin>>N;
    cin>>O>>A>>B>>AB;
    cin>>No>>Na>>Nb>>Nab;
    int szukseg, raktar, x;

    if(szukseg<=raktar)
    {
        x=O+A+B+AB;
        cout<<"moguce";
    }
    else
    {
        cout<<"nemoguce";
    }
    return 0;
}